# $Revision: 1.19 $, $Date: 2011/03/23 15:33:49 $
Summary:	Cairo/GTK+ Canvas
Summary(pl.UTF-8):	Płótno Cairo/GTK+
Name:		goocanvas
Version:	1.0.0
Release:	2
License:	LGPL v2
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/goocanvas/1.0/%{name}-%{version}.tar.bz2
# Source0-md5:	4858a22239e45cf374195bae520021c2
URL:		http://live.gnome.org/GooCanvas
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.7
BuildRequires:	cairo-devel >= 1.4.0
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.10.0
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	glib2 >= 1:2.10.0
Requires:	gtk+2 >= 2:2.12.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GooCanvas is a new canvas widget for GTK+ that uses the Cairo 2D
library for drawing. It has a model/view split, and uses interfaces
for canvas items and views, so you can easily turn any application
object into canvas items.

%description -l pl.UTF-8
GooCanvas to nowy widget "płótna" dla GTK+ wykorzystujący do rysowania
bibliotekę Cairo 2D. Ma podział model/widok i używa interfejsów dla
elementów i widoków, więc można łatwo zamieniać dowolny obiekt
aplikacji w elementy płótna.

%package devel
Summary:	Header files for goocanvas
Summary(pl.UTF-8):	Pliki nagłówkowe goocanvas
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.4.0
Requires:	glib2-devel >= 1:2.10.0
Requires:	gtk+2-devel >= 2:2.12.0

%description devel
Header files for goocanvas.

%description devel -l pl.UTF-8
Pliki nagłówkowe goocanvas.

%package static
Summary:	GooCanvas static library
Summary(pl.UTF-8):	Statyczna biblioteka GooCanvas
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
GooCanvas static library.

%description static -l pl.UTF-8
Statyczna biblioteka GooCanvas.

%package apidocs
Summary:	goocanvas API documentation
Summary(pl.UTF-8):	Dokumentacja API goocanvas
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
goocanvas API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API goocanvas.

%package examples
Summary:	Example programs using goocanvas library
Summary(pl.UTF-8):	Przykładowe programy używające biblioteki goocanvas
Group:		X11/Development/Libraries

%description examples
Example programs using goocanvas library.

%description examples -l pl.UTF-8
Przykładowe programy używające biblioteki goocanvas.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# prepare and install examples
%{__make} clean -C demo
cp demo/*.c demo/*.h demo/*.png $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgoocanvas.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libgoocanvas.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgoocanvas.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgoocanvas.so
%{_includedir}/goocanvas-1.0
%{_pkgconfigdir}/goocanvas.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgoocanvas.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/goocanvas

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: goocanvas.spec,v $
Revision 1.19  2011/03/23 15:33:49  wiget
- drop libtool file
- rel. 2

Revision 1.18  2011/03/19 12:42:43  qboosh
- updated to 1.0.0

Revision 1.17  2010/11/19 07:40:10  hawk
- release 3

Revision 1.16  2010/02/10 15:24:49  megabajt
- release 2

Revision 1.15  2010/02/01 22:20:53  sparky
- BR: docbook-dtd412-xml

Revision 1.14  2010/02/01 10:16:52  patrys
- gtkdocize

Revision 1.13  2009/10/04 04:13:49  wrobell
- show some mercy to those, who want to try compiled demos

Revision 1.12  2009/03/19 10:08:41  patrys
- 0.14

Revision 1.11  2009/02/13 10:12:40  megabajt
- updated to 0.13
- added examples subpackage

Revision 1.10  2008/11/13 18:34:52  arekm
- up to 0.12

Revision 1.9  2008/11/11 12:09:07  arekm
- release 3

Revision 1.8  2008/06/25 07:05:05  hawk
- make it build

Revision 1.7  2008/05/19 12:32:53  patrys
- 0.10

Revision 1.6  2007/09/04 15:15:05  patrys
- rebuild

Revision 1.5  2007/09/04 15:02:34  patrys
- ldconfig

Revision 1.4  2007/09/02 10:35:39  qboosh
- libtoolize

Revision 1.3  2007/09/02 10:35:03  qboosh
- pl
- revised deps
- unified files format + fix

Revision 1.2  2007/08/30 05:04:13  aredridel
- package .so too

Revision 1.1  2007/08/30 04:30:21  aredridel
- added
